HappyDoc Generated Documentation | Class: preferences_dialog
--- | ---
/ wifi-radar.py / preferences_dialog The preferences dialog. Edits non-profile sections of the config file.
Methods |
--- | ---
| toggle_auto_detect
--- | ---
    toggle_auto_detect (
            self,
            auto_detect_toggle,
            data=None,
            )
Respond to Auto-detect checkbox toggle by activating/de-activating the interface combobox. #### Parameters: `auto_detect_toggle` gtk.CheckButton - The checkbox sending the signal. `data` tuple - list of arbitrary arguments (not used) #### Returns: nothing
| run
--- | ---
    run ( self )
Display preferences dialog and operate until canceled or okayed. #### Parameters: nothing #### Returns: integer gtk response ID
| toggle_speak
--- | ---
    toggle_speak (
            self,
            speak_toggle,
            data=None,
            )
Respond to Speak-up checkbox toggle by activating/de-activating the Speak Cmd Entry. #### Parameters: `speak_toggle` gtk.CheckButton - The checkbox sending the signal. `data` tuple - list of arbitrary arguments (not used) #### Returns: nothing
| destroy
--- | ---
    destroy ( self )
Remove preferences window. #### Parameters: nothing #### Returns: nothing
| save
--- | ---
    save ( self )
Write updated values to config file. #### Parameters: nothing #### Returns: nothing
Exceptions |
--- | ---
IOError( error_number, error_str )
| __init__
--- | ---
    __init__ (
            self,
            parent,
            confFile,
            )
Create a new preferences_dialog. #### Parameters: `parent` gtk.Object - Usually, the calling window. `confFile` ConfigFile - The config file in which to store/read settings. #### Returns: preferences_dialog instance

This document was automatically generated Thu May 21 05:32:36 2009 by HappyDoc version 3.1